<!DOCTYPE html>
<html>
    <head>
        <meta charset="UTF-8">       
        <title>CSS! Cansei de Ser Sexy...</title>
        <style>
           p {
               color: red;
           }

           p span {
               color: purple;
           }

           p:nth-child(2) {
               color: green;
           }

           p:nth-child(2) span {
               color: yellow;
           }

           p:nth-child(2) span span {
               color: orange;
           }

           p:last-child {
               color: blue;
           }

           a {
               color: black;
           }
        </style>
    </head>
<body>
    
    <p>Este será vermelho, <span>mas este é roxo.</span></p>
    <p>
        Este será verde,
        <span>
            mas este é amarelo,        
        <span>e este é laranja.</span>
        </span>
     </p>
    <p>
        Este será azul
        <a href="#">e este link é preto</a>
    </p>

</body>
</html>